# ProtocolSchema

class `propertyestimator.workflow.schemas.``ProtocolSchema`

  A json serializable representation of a workflow protocol.

  `__init__`()

    Constructs a new ProtocolSchema object.

  Methods

  `__init__`() | Constructs a new ProtocolSchema object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any